Subject: Re: [Bonding-announce] [PATCH SET][bonding] cleanup

From: Shmulik Hen <[email-masked]>
Date: Thu, 25 Sep 2003 20:11:53 +0300

On Thursday 25 September 2003 07:47 pm, Chad N. Tindel wrote:
> > patch 4 - remove dead code, old compatibility stuff and redundant
> >           checks.
>
> I'm a bit concerned about doing some of this stuff in the 2.4
> series.  That compatibility stuff is there for a reason, and was
> set to be removed in 2.6.  Perhaps we shouldn't be doing stuff this
> drastic until 2.6 because of the risk of breaking users.

That's the word I got from Jay in response to the " [Kernel-janitors] 
old ioctl definitions in 2.5" thread.

>Jay Vosburgh <[email-masked]> wrote:
>	I was going to add it on to the end of the clean up set, but
> if you want to do it, go ahead.  Nobody seems to have objected to
> removing the _OLD stuff, which I view as a good thing.

-- 
| Shmulik Hen   Advanced Network Services  |
| Israel Design Center, Jerusalem          |
| LAN Access Division, Platform Networking |
| Intel Communications Group, Intel corp.  |